Announcement

Collapse
No announcement yet.

v3.8 - v4 upgrade question

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • v3.8 - v4 upgrade question

    Hi,

    I am considering purchasing this pre order but i have a few questions first..

    If i pay for it now and have access to V3.8 now is this a simple upgrade to V4. I have a domain sitting around waiting for a VBulletin installation but i don't want to get any seo penalties by installing 3.8 now and then having to wipe everything and then install v4 later on.

    Could anyone shed some light on this subject now please ?

    And another thing i would like to know is how long is the "pre-sale" on for ? what is the deadline and what time frame are we looking at to have V4 released (not in a beta state) i assume this will not be far away since you have a "pre-sale" special on.

    Thanks in advance, Regards Darren

  • #2
    Right some of these questions could have been answered by reading the FAQ on the vBulletin site, but for the sake of this, I'll reply with all answers.

    You will not get any SEO penalties. The current system gives a HTTP 301: Permanently Moved redirection to the optimised URL.

    The presale ends on the 30th October. The timeframe is Q4 2009, so between now and 31st December, there is no stated deadline, however, I can imagine, Internet Brands want vBulletin pushed out as soon as possible.
    Shamil Nunhuck, - Radon Systems Ltd.
    VPS + Dedicated Server Hosting and Management
    vBulletin Hosting and Services
    Server / Website Consultation

    Comment


    • #3
      Thanks for a quick reply..

      I just want to make sure that when i spend $200+ on a unseen product that all goes smoothly.

      So i can get my forums setup in the next few days... and once V4 is released i can then do a simple upgrade and all my posts / users are all going to still work ?

      Thanks again for a quick reply.

      Comment


      • #4
        Yep, be sure not to install made mods/plugins and try to keep to the default style - don't work with vB 3 styles (basing on that I mean) becuase it's nearly all CSS
        Shamil Nunhuck, - Radon Systems Ltd.
        VPS + Dedicated Server Hosting and Management
        vBulletin Hosting and Services
        Server / Website Consultation

        Comment


        • #5
          Yeah as ct2k7 said, if you do not install any mods or new skins, you will have zero problems upgrading to 4.0, so you might as well get started with playing around and creating forums etc.

          Comment


          • #6
            Originally posted by inbeforethelock View Post
            Yeah as ct2k7 said, if you do not install any mods or new skins, you will have zero problems upgrading to 4.0, so you might as well get started with playing around and creating forums etc.
            What about the adjustments you made to the styles and templates in your vBulletin 3.x forum rather than building a new skin? Does all that carry over when you upgrade?

            Peace,
            Gene

            Comment


            • #7
              The template system is completely being revamped, so styles will be 'lost', or rather styles for 3.8 and lower will NOT be compatible with 4.0 and thus need to be revised. Otherwise, there is an upgrade script that'll do the work you need for you. The deadline is the 30th of this month (October), for the presale. After that, the suite will cost $285 while the forums still cost $195

              Comment


              • #8
                Originally posted by GHOwner View Post
                The template system is completely being revamped, so styles will be 'lost', or rather styles for 3.8 and lower will NOT be compatible with 4.0 and thus need to be revised. Otherwise, there is an upgrade script that'll do the work you need for you. The deadline is the 30th of this month (October), for the presale. After that, the suite will cost $285 while the forums still cost $195
                I just wanted this clarified, that there will be some way to convert, and that the upgrade script will come with the new version then?

                Peace,
                Gene

                Comment


                • #9
                  Originally posted by ct2k7 View Post
                  Right some of these questions could have been answered by reading the FAQ on the vBulletin site, but for the sake of this, I'll reply with all answers.

                  You will not get any SEO penalties. The current system gives a HTTP 301: Permanently Moved redirection to the optimised URL.
                  What does this mean? If every URL doesn't have an exact replacement then this doesn't help. I've got several hundred thousand URLs in search engines. How this is handled exactly is very important.

                  The presale ends on the 30th October. The timeframe is Q4 2009, so between now and 31st December, there is no stated deadline, however, I can imagine, Internet Brands want vBulletin pushed out as soon as possible.
                  It's irrelevant what date it goes out the door. What is important is that all the important items are handled. Remember that installing vb4 means your design, hacks and integrations are all gone. This is not a simple change as it seems.
                  My law forum, lawyers and legal help site

                  Comment


                  • #10
                    i didnt realised everything is gone

                    ive bought mods and skins and everything

                    this will be frustrating

                    Comment


                    • #11
                      Originally posted by uprentiss View Post
                      i didnt realised everything is gone

                      ive bought mods and skins and everything

                      this will be frustrating
                      This has been discussed for months and no one says you need to install vB4.
                      ...steven
                      www.318ti.org (vB3.8) | www.nccbmwcca.org (vB4.2)
                      bmwcca.org/forum | m135i.net
                      "I tried to clean this up but this thread is beyond redemption." - Steve Machol

                      Comment


                      • #12
                        Originally posted by 1996 328ti View Post
                        This has been discussed for months and no one says you need to install vB4.
                        Discussed by you here on some obscure thread. I'm too busy running my forums to check here on every thread for months. I haven't see a clear FAQ addressing the important issues. This lightning quick 2 week pre-release upgrade has unfortunately caused something of a panic with people upgrading before having a reasonable time to make an informed decision. We don't even have an answer officially as to whether you will receive security updates for 3.x if your license for maintenance expires after this 2 week period. That's a huge issue - don't blame the customers for this.
                        My law forum, lawyers and legal help site

                        Comment


                        • #13
                          Originally posted by slinky View Post
                          Discussed by you here on some obscure thread. I'm too busy running my forums to check here on every thread for months.
                          I wasn't aware I was replying to you?
                          I was referring to the person who bought mods and skins for vB3.
                          It's been known for some time that some mods will not work, especially those using template edits and skins will not work.
                          ...steven
                          www.318ti.org (vB3.8) | www.nccbmwcca.org (vB4.2)
                          bmwcca.org/forum | m135i.net
                          "I tried to clean this up but this thread is beyond redemption." - Steve Machol

                          Comment


                          • #14
                            Originally posted by 1996 328ti View Post
                            I wasn't aware I was replying to you?
                            I was referring to the person who bought mods and skins for vB3.
                            It's been known for some time that some mods will not work, especially those using template edits and skins will not work.
                            No offense intended but, as I said, what does "it has been known" mean? I didn't know either. I received an email about an upgrade with no information about what would happen if I made the move, link to FAQ, etc. I'm an experienced developer and have done upgrades before. With this being a total rewrite, I guessed that all styles, hacks, mods and integrations will not work with vBulletin 4. That's why we had to discuss with clients whether some of their sites would ever realize a real benefit to upgrading to vB 4. Transition decisions might best be made at another time. But guys like this poster are like many here - they really need to be provided critical information like this in a conspicuous place. If you've run a company with customers of greatly varying experience, this is a given.

                            Anyways, my main concern is what happens to the ability to receive security updates if your license expires after this pre-release upgrade period. Without the assumption that all 3.8 owners (at least with current licenses) will receive all 3.8 updates, there is no option if you just want the benefits of staying with 3.8!
                            My law forum, lawyers and legal help site

                            Comment


                            • #15
                              Originally posted by slinky View Post
                              No offense intended but, as I said, what does "it has been known" mean? I didn't know either.
                              I guess I spend more time here than I thought.
                              http://www.vbulletin.com/index.php?do=faq
                              Why aren't you making it easier to continue to use my vBulletin 3.8.x Software, a currently supported version?
                              We'd like to. For those customers who prefer to use their vBulletin 3.8.x Software, we plan to make that easier by extending your access to your access to updates (security and maintenance updates only). If you are currently running a license on 3.8.x, we will extend the time period until June 1st for which you can access software updates . This means that if your license is due to become inactive in November, you will be able to get security and maintenance releases through June 1st. This offer applies to owned licenses only.
                              I don't know what happens after June 2010. EOL for v3?
                              ...steven
                              www.318ti.org (vB3.8) | www.nccbmwcca.org (vB4.2)
                              bmwcca.org/forum | m135i.net
                              "I tried to clean this up but this thread is beyond redemption." - Steve Machol

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X